import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchTasks({
  type = "",
  entityId = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { type, entityId, pageNumber, pageSize },
    (v) => v !== ""
  );
  if (data.type)
    return httpApp.post("/api/admin/task/query?" + object2QueryString(data));
}

export function importExamStudent({ examId, fileName, file, md5 }) {
  const form = new FormData();
  form.append("examId", examId);
  form.append("fileName", fileName);
  form.append("file", file);
  return httpApp.post("/api/admin/examStudent/import", form, {
    headers: { "Content-Type": "multipart/form-data", md5 },
  });
}
